Proxy Insight
Introduction
Proxy Insight is one of the core features we are introducing in HypeProxy.io v2.1 and it allows you to get a lot of information about your proxies and their uses.
Keep in mind that if we were to introduce new products that are not just proxies (like a VPN service for example) we will keep the term Proxy Insight.
All these endpoints require the identifier of your product (called productDetailsId).
API Reference 🔗
Proxy Insight currently contains 4 endpoints, each rate limited to 1 call every 30 seconds.
Ping a Proxy
Specify the JWT token.
Product Details Id
Success
GET /v2/Insight/Ping/{productDetailsId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Success
{
"isOperational": true,
"reason": 100,
"elapsedMilliseconds": 1
}Get Remote IP Address
Specify the JWT token.
Product Details Id
Success
GET /v2/Insight/Ip/{productDetailsId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Success
{
"isOperational": true,
"reason": 100,
"elapsedMilliseconds": 1
}Get IP Detailed Information
Specify the JWT token.
Product Details Id
Success
No content
GET /v2/Insight/IpDetails/{productDetailsId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Success
No content
Get IP Threats Information
Specify the JWT token.
Product Details Id
Success
No content
GET /v2/Insight/IpThreats/{productDetailsId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Success
No content
Last updated